vkd3d: vkd3d_application_info Struct Reference

vkd3d 1.19 The vkd3d 3D Graphics Library

Loading...
Searching...
No Matches
vkd3d_application_info Struct Reference

A chained structure to specify application information. More...

`#include <vkd3d.h>`

## Data Fields
enum vkd3d_structure_type | type
| Must be set to VKD3D_STRUCTURE_TYPE_APPLICATION_INFO.
const void * | next
| Optional pointer to a structure containing further parameters.
const char * | application_name
| The application's name, to be passed to the Vulkan implementation.
uint32_t | application_version
| The application's version, to be passed to the Vulkan implementation.
const char * | engine_name
| The engine name, to be passed to the Vulkan implementation.
uint32_t | engine_version
| The engine version, to be passed to the Vulkan implementation.
enum vkd3d_api_version | api_version
| The vkd3d API version to use, to guarantee backward compatibility of the shared library.

## Detailed Description

A chained structure to specify application information.

This structure extends vkd3d_instance_create_info.

Since
  1.2

## Field Documentation

## ◆ api_version

enum vkd3d_api_version vkd3d_application_info::api_version

The vkd3d API version to use, to guarantee backward compatibility of the shared library.

If this chained structure is not used then VKD3D_API_VERSION_1_0 is used.

## ◆ application_name

const char* vkd3d_application_info::application_name

The application's name, to be passed to the Vulkan implementation.

If it is NULL, a name is computed from the process executable filename. If that cannot be done, the empty string is used.

## ◆ engine_name

const char* vkd3d_application_info::engine_name

The engine name, to be passed to the Vulkan implementation.

If it is NULL, "vkd3d" is used.

## ◆ engine_version

uint32_t vkd3d_application_info::engine_version

The engine version, to be passed to the Vulkan implementation.

If it is 0, the version is computed from the vkd3d library version.

The documentation for this struct was generated from the following file:

- include/vkd3d.h